This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 238947 - (CVE-2007-1497) CVE-2007-1497 IPv6 fragments bypass in nf_conntrack netfilter code
CVE-2007-1497 IPv6 fragments bypass in nf_conntrack netfilter code
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=lkml,reported=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-03 22:03 EDT by Marcel Holtmann
Modified: 2016-07-06 21:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-16 14:57:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marcel Holtmann 2007-05-03 22:03:51 EDT
The nf_conntrack of the netfilter code does not set nfctinfo during reassembly
of fragmented packets, which leaves the default value as IP_CT_ESTABLISHED and
might allow remote attackers to bypass certain rulesets using IPv6 fragments.
Comment 1 Don Howard 2007-05-07 13:17:20 EDT
A patch for this issue has been included in build 2.6.18-8.1.4.el5.
Comment 2 Mike Gahagan 2007-05-09 17:19:26 EDT
confirmed the fix is in 2.6.18-8.1.4.el5.
Comment 5 Red Hat Bugzilla 2007-05-16 14:57:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0347.html

Note You need to log in before you can comment on or make changes to this bug.